Bug 11255 - excessive output during first package install
: excessive output during first package install
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dovecot)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-29 03:42 by
Modified: 2008-06-13 12:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-29 03:42:26
$ hsh-install dovecot
[...]
dovecot-1.0-alt8.rc28.cvs20070325
Generating SSL cert for imapd-ssl
Generating a 1024 bit RSA private key
.++++++
..................++++++
writing new private key to '/var/lib/ssl/private/dovecot.pem'
-----

subject= /OU=IMAP server/CN=imap.example.com/emailAddress=postmaster@example.com
SHA1 Fingerprint=62:57:1A:C5:B1:45:1D:08:4E:AD:30:89:E9:A7:A8:D0:CF:4C:04:87

1. Why private key and certificate is generated during package install instead
of dovecot startup?
2. I'm doubt that all these lines should be dumped at all.
I'd prefer to see just 2 lines:
Generating dovecot private key [DONE]
Generating dovecot certificate [DONE]
------- Comment #1 From 2007-03-30 20:05:37 -------
fixed in dovecot-1.0-alt8.rc28.cvs20070329.src.rpm